var app = getApp()
var that;
Page({
  data: {
      obj:{}
  },
  onLoad(e) {
    dd.setNavigationBar({ title: "日志内容" });
     that = this;
     if(e.id){
        this.getDetail(e.id)
     }
  },
  getDetail(id) {
    app.$get("api/integral/statistics/integral/info", { event_id: id }).then((res) => {
      var data = res.data.data;
      app.globalData.types.forEach(item => {
        if (item.id == data.pt_id) {
          data.typeName = item.name
        }
      });
      this.setData({ obj: data.remark.ding_report })
    })
  },
  showImg(e){
    var index=e.target.dataset.index;
    var item=e.target.dataset.item
    dd.previewImage({
      current: index,
      urls: item
    });
  },
});
